From ee38df972f1b1b64b28610e72676ecbdf5f3ecce Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Mon, 14 Mar 2016 17:49:25 -0700
Subject: [PATCH] * tz-art.htm: Add xkcd "Doomsday Clock".

This is dated today.  (Thanks to Steve Jones.)
Also, switch from https: to http: for xkcd.
---
 tz-art.htm | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

diff --git a/tz-art.htm b/tz-art.htm
index e3d29c0..3797c78 100644
--- a/tz-art.htm
+++ b/tz-art.htm
@@ -359,12 +359,13 @@ time zone humor</a> on 1998-03-14.
 </li>
 <li>
 The webcomic <em>xkcd</em> has the strip
-"<a href='https://xkcd.com/673/'>The Sun</a>" (2009-12-09) and the panels
-"<a href='https://xkcd.com/1017/'>Backward in Time</a>" (2012-02-14),
-"<a href='https://xkcd.com/1061/'>EST</a>" (2012-05-28), and
-"<a href='https://xkcd.com/1335/'>Now</a>" (2014-02-26).
+"<a href='http://xkcd.com/673/'>The Sun</a>" (2009-12-09) and the panels
+"<a href='http://xkcd.com/1017/'>Backward in Time</a>" (2012-02-14),
+"<a href='http://xkcd.com/1061/'>EST</a>" (2012-05-28), and
+"<a href='http://xkcd.com/1335/'>Now</a>" (2014-02-26), and
+"<a href='http://xkcd.com/1655/'>Doomsday Clock</a>" (2016-03-14).
 The related book <em>What If?</em> has an entry
-"<a href='https://what-if.xkcd.com/26/'>Leap Seconds</a>" (2012-12-31).
+"<a href='http://what-if.xkcd.com/26/'>Leap Seconds</a>" (2012-12-31).
 <li>
 Surrealist artist Guy Billout's work "Date Line" appeared on page 103
 of the 1999-11 <em>Atlantic Monthly</em>.
-- 
2.5.0