From 980c1ea5f18260a5eee9b32f4ea185ad22eec844 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Mon, 25 Jan 2016 10:04:14 -0800
Subject: [PROPOSED PATCH] Cayman shelved DST plans

https://caymannewsservice.com/2016/01/daylight-saving-time-plans-shelved/
(Thanks to Matt Johnson.)
* NEWS: Document this.
* backzone, northamerica, zone1970.tab (America/Cayman):
Restore previous version.
---
 NEWS         |  6 +++---
 backzone     |  5 +++++
 northamerica | 15 ++-------------
 zone1970.tab |  3 +--
 4 files changed, 11 insertions(+), 18 deletions(-)

diff --git a/NEWS b/NEWS
index 14a87ac..65165af 100644
--- a/NEWS
+++ b/NEWS
@@ -4,6 +4,9 @@ Unreleased, experimental changes
 
   Changes affecting future time stamps
 
+    America/Cayman will not observe daylight saving this year after all.
+    Revert our guess that it would.  (Thanks to Matt Johnson.)
+
     Asia/Chita switches from +0800 to +0900 on 2016-03-27 at 02:00.
     (Thanks to Alexander Krivenyshev.)
 
@@ -16,9 +19,6 @@ Unreleased, experimental changes
     America/Metlakatla switched from PST all year to AKST/AKDT on
     2015-11-01 at 02:00.  (Thanks to Steffen Thorsen.)
 
-    Time zone abbreviations for America/Cayman have been changed from
-    EST/EDT to CIST/CIDST, as per the 2015-11-25 daylight-saving bill.
-
     America/Santa_Isabel has been removed, and replaced with a
     backward compatibility link to America/Tijuana.  Its contents were
     apparently based on a misreading of Mexican legislation.
diff --git a/backzone b/backzone
index b4ca342..296eca8 100644
--- a/backzone
+++ b/backzone
@@ -279,6 +279,11 @@ Zone	America/Aruba	-4:40:24 -	LMT	1912 Feb 12 # Oranjestad
 			-4:30	-	ANT	1965 # Netherlands Antilles Time
 			-4:00	-	AST
 
+# Cayman Is
+Zone	America/Cayman	-5:25:32 -	LMT	1890     # Georgetown
+			-5:07:11 -	KMT	1912 Feb # Kingston Mean Time
+			-5:00	-	EST
+
 # Canada
 Zone America/Coral_Harbour -5:32:40 -	LMT	1884
 			-5:00	NT_YK	E%sT	1946
diff --git a/northamerica b/northamerica
index ca8bf29..78e5881 100644
--- a/northamerica
+++ b/northamerica
@@ -2697,19 +2697,7 @@ Zone Atlantic/Bermuda	-4:19:18 -	LMT	1930 Jan  1  2:00 # Hamilton
 			-4:00	US	A%sT
 
 # Cayman Is
-
-# From Paul Eggert (2015-12-08):
-# The Cayman government has decided to introduce DST in 2016, the idea being
-# to keep in sync with New York.  The enabling legislation has been published,
-# and seems quite likely to be approved.  See Cayman Islands
-# Extraordinary Gazette No. 92 (2015-11-25), Supp. 2, which specifies the
-# abbreviations CIST and CIDST.
-# http://www.gov.ky/portal/pls/portal/docs/1/12274400.PDF
-
-Zone	America/Cayman	-5:25:32 -	LMT	1890     # Georgetown
-			-5:07:11 -	KMT	1912 Feb # Kingston Mean Time
-			-5:00	-	CIST	2016
-			-5:00	US	CIST/CIDST
+# See America/Panama.
 
 # Costa Rica
 
@@ -3232,6 +3220,7 @@ Zone	America/Managua	-5:45:08 -	LMT	1890
 Zone	America/Panama	-5:18:08 -	LMT	1890
 			-5:19:36 -	CMT	1908 Apr 22 # Colón Mean Time
 			-5:00	-	EST
+Link America/Panama America/Cayman
 
 # Puerto Rico
 # There are too many San Juans elsewhere, so we'll use 'Puerto_Rico'.
diff --git a/zone1970.tab b/zone1970.tab
index e77d6cf..dcc6ed4 100644
--- a/zone1970.tab
+++ b/zone1970.tab
@@ -207,7 +207,6 @@ KI	-0308-17105	Pacific/Enderbury	Phoenix Islands
 KI	+0152-15720	Pacific/Kiritimati	Line Islands
 KP	+3901+12545	Asia/Pyongyang
 KR	+3733+12658	Asia/Seoul
-KY	+1918-08123	America/Cayman
 KZ	+4315+07657	Asia/Almaty	most locations
 KZ	+4448+06528	Asia/Qyzylorda	Qyzylorda (Kyzylorda, Kzyl-Orda)
 KZ	+5017+05710	Asia/Aqtobe	Aqtobe (Aktobe)
@@ -260,7 +259,7 @@ NR	-0031+16655	Pacific/Nauru
 NU	-1901-16955	Pacific/Niue
 NZ,AQ	-3652+17446	Pacific/Auckland	New Zealand time
 NZ	-4357-17633	Pacific/Chatham	Chatham Islands
-PA	+0858-07932	America/Panama
+PA,KY	+0858-07932	America/Panama
 PE	-1203-07703	America/Lima
 PF	-1732-14934	Pacific/Tahiti	Society Islands
 PF	-0900-13930	Pacific/Marquesas	Marquesas Islands
-- 
2.5.0