From 721f0494eed0b69e08fd7d6abcd30806daff3ced Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Fri, 9 Dec 2016 08:49:32 -0800
Subject: [PROPOSED] * asia: Fix E/W Qinghai typo.  (Thanks to Jeffrey Oldham.)

---
 asia | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/asia b/asia
index 8336c3e..9803bb6 100644
--- a/asia
+++ b/asia
@@ -404,7 +404,7 @@ Rule	PRC	1987	1991	-	Apr	Sun>=10	0:00	1:00	D
 # Long-shu Time (probably due to Long and Shu being two names of the area) UT +07
 # Asia/Chongqing (currently a link to Asia/Shanghai)
 # Guangxi, Guizhou, Hainan, Ningxia, Sichuan, Shaanxi, and Yunnan;
-# most of Gansu; west Inner Mongolia; west Qinghai; and the Guangdong
+# most of Gansu; west Inner Mongolia; east Qinghai; and the Guangdong
 # counties Deqing, Enping, Kaiping, Luoding, Taishan, Xinxing,
 # Yangchun, Yangjiang, Yu'nan, and Yunfu.
 #
-- 
2.7.4