From d878ecb3352a868e4706af8dac236717adbfd7d4 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Fri, 18 Mar 2016 15:56:05 -0700
Subject: [PATCH] Revert Easter Island adjustments

* NEWS, southamerica (Chile): 2016 and later transitions are at
24:00 mainland time, not at 24:00 local time.  This reverts
the previous change to 'southamerica'.
---
 NEWS         |  3 +--
 southamerica | 12 ++++++------
 2 files changed, 7 insertions(+), 8 deletions(-)

diff --git a/NEWS b/NEWS
index fc3f58f..756d5e3 100644
--- a/NEWS
+++ b/NEWS
@@ -9,8 +9,7 @@ Unreleased, experimental changes
     Chile reverts from permanent to seasonal DST.  (Thanks to Juan
     Correa for the heads-up, and to Tim Parenti for corrections.)
     Guess that future transitions are August's and May's second
-    Saturdays at 24:00 local time; this differs from the previous
-    practice of 24:00 mainland time.  Also, call the period from
+    Saturdays at 24:00 mainland time.  Also, call the period from
     2014-09-07 through 2016-05-14 daylight saving time instead of
     standard time, as that seems more appropriate now.
 
diff --git a/southamerica b/southamerica
index 38f63d9..ba9ad81 100644
--- a/southamerica
+++ b/southamerica
@@ -1230,10 +1230,10 @@ Zone America/Rio_Branco	-4:31:12 -	LMT	1914
 # this scheme will stick.
 #
 # From Paul Eggert (2016-03-18):
-# The decree says transitions occur at 24:00 local time, which differs
-# from the 2008 transitions, which were documented to occur at 24:00
-# on the mainland and 22:00 in Easter Island.  Guess that this new
-# practice starts this year and continues indefinitely.
+# For now, assume the pattern holds for the indefinite future.
+# The decree says transitions occur at 24:00; in practice this appears
+# to mean 24:00 mainland time, not 24:00 local time, so that Easter
+# Island is always two hours behind the mainland.
 
 # Rule	NAME	FROM	TO	TYPE	IN	ON	AT	SAVE	LETTER/S
 Rule	Chile	1927	1931	-	Sep	 1	0:00	1:00	S
@@ -1268,8 +1268,8 @@ Rule	Chile	2011	only	-	May	Sun>=2	3:00u	0	-
 Rule	Chile	2011	only	-	Aug	Sun>=16	4:00u	1:00	S
 Rule	Chile	2012	2014	-	Apr	Sun>=23	3:00u	0	-
 Rule	Chile	2012	2014	-	Sep	Sun>=2	4:00u	1:00	S
-Rule	Chile	2016	max	-	May	Sat>=8	24:00	0	-
-Rule	Chile	2016	max	-	Aug	Sat>=8	24:00	1:00	S
+Rule	Chile	2016	max	-	May	Sun>=9	3:00u	0	-
+Rule	Chile	2016	max	-	Aug	Sun>=9	4:00u	1:00	S
 # IATA SSIM anomalies: (1992-02) says 1992-03-14;
 # (1996-09) says 1998-03-08.  Ignore these.
 # Zone	NAME		GMTOFF	RULES	FORMAT	[UNTIL]
-- 
2.5.0