diff --git a/README b/README
index 427b6a0..a7d45f7 100644
--- a/README
+++ b/README
@@ -40,7 +40,7 @@ tz distribution on a GNU/Linux or similar host.
 
 	mkdir tz
 	cd tz
-	wget 'ftp://elsie.nci.nih.gov/pub/tz*.tar.gz'
+	wget 'ftp://munnari.oz.au/pub/tz*.tar.gz'
 	gzip -dc tzcode*.tar.gz | tar -xf -
 	gzip -dc tzdata*.tar.gz | tar -xf -
 
@@ -71,7 +71,7 @@ the files currently do not even attempt to cover all time stamps before
 1970, and there are undoubtedly errors even for time stamps since 1970.
 If you know that the rules are different from those in a file, by all means
 feel free to change file (and please send the changed version to
-tz@elsie.nci.nih.gov for use in the future).  Europeans take note!
+tz@iana.org for use in the future).  Europeans take note!
 
 Thanks to these Timezone Caballeros who've made major contributions to the
 time conversion package:  Keith Bostic; Bob Devine; Paul Eggert; Robert Elz;
@@ -80,7 +80,7 @@ Michael Bloom, Art Neilson, Stephen Prince, John Sovereign, and Frank Wales
 for testing work, and to Gwillim Law for checking local mean time data.
 None of them are responsible for remaining errors.
 
-Look in the ~ftp/pub directory of elsie.nci.nih.gov
+Look in the ~ftp/pub directory of munnari.oz.au
 for updated versions of these files.
 
-Please send comments or information to tz@elsie.nci.nih.gov.
+Please send comments or information to tz@iana.org
diff --git a/africa b/africa
index 87f57c6..b9d07b4 100644
--- a/africa
+++ b/africa
@@ -5,7 +5,7 @@
 
 # This data is by no means authoritative; if you think you know better,
 # go ahead and edit the file (and please send any changes to
-# tz@elsie.nci.nih.gov for general use in the future).
+# tz@iana.org for general use in the future).
 
 # From Paul Eggert (2006-03-22):
 #
diff --git a/asia b/asia
index cbb5dca..1021cfa 100644
--- a/asia
+++ b/asia
@@ -4,7 +4,7 @@
 
 # This data is by no means authoritative; if you think you know better,
 # go ahead and edit the file (and please send any changes to
-# tz@elsie.nci.nih.gov for general use in the future).
+# tz@iana.org for general use in the future).
 
 # From Paul Eggert (2006-03-22):
 #
@@ -2030,7 +2030,7 @@ Zone	Asia/Karachi	4:28:12 -	LMT	1907
 # However, as we get more information, we may need to add entries
 # for parts of the West Bank as they transitioned from Israel's rules
 # to Palestine's rules.  If you have more info about this, please
-# send it to tz@elsie.nci.nih.gov for incorporation into future editions.
+# send it to tz@iana.org for incorporation into future editions.
 
 # From IINS News Service - Israel - 1998-03-23 10:38:07 Israel time,
 # forwarded by Ephraim Silverberg:
diff --git a/australasia b/australasia
index acadef6..0aea41d 100644
--- a/australasia
+++ b/australasia
@@ -718,7 +718,7 @@ Zone	Pacific/Wallis	12:15:20 -	LMT	1901
 
 # This data is by no means authoritative; if you think you know better,
 # go ahead and edit the file (and please send any changes to
-# tz@elsie.nci.nih.gov for general use in the future).
+# tz@iana.org for general use in the future).
 
 # From Paul Eggert (2006-03-22):
 # A good source for time zone historical data outside the U.S. is
diff --git a/europe b/europe
index a2ec972..bf7aa3f 100644
--- a/europe
+++ b/europe
@@ -5,7 +5,7 @@
 
 # This data is by no means authoritative; if you think you know better,
 # go ahead and edit the file (and please send any changes to
-# tz@elsie.nci.nih.gov for general use in the future).
+# tz@iana.org for general use in the future).
 
 # From Paul Eggert (2006-03-22):
 # A good source for time zone historical data outside the U.S. is
diff --git a/northamerica b/northamerica
index 65963d8..f20b21f 100644
--- a/northamerica
+++ b/northamerica
@@ -7,7 +7,7 @@
 
 # This data is by no means authoritative; if you think you know better,
 # go ahead and edit the file (and please send any changes to
-# tz@elsie.nci.nih.gov for general use in the future).
+# tz@iana.org for general use in the future).
 
 # From Paul Eggert (1999-03-22):
 # A reliable and entertaining source about time zones is
diff --git a/southamerica b/southamerica
index cce8d3c..8877f61 100644
--- a/southamerica
+++ b/southamerica
@@ -5,7 +5,7 @@
 
 # This data is by no means authoritative; if you think you know better,
 # go ahead and edit the file (and please send any changes to
-# tz@elsie.nci.nih.gov for general use in the future).
+# tz@iana.org for general use in the future).
 
 # From Paul Eggert (2006-03-22):
 # A good source for time zone historical data outside the U.S. is
diff --git a/tz-art.htm b/tz-art.htm
index 902371e..6b678aa 100644
--- a/tz-art.htm
+++ b/tz-art.htm
@@ -17,7 +17,7 @@ This file is in the public domain, so clarified as of
 </p>
 <p>
 Please send corrections to this web page to the
-<a href="mailto:tz@elsie.nci.nih.gov">time zone mailing list</a>.</p>
+<a href="mailto:tz@iana.org">time zone mailing list</a>.</p>
 <p>
 See also <a href="tz-link.htm">Sources for Time Zone and Daylight Saving Time Data</a>.</p>
 <hr>
diff --git a/tz-link.htm b/tz-link.htm
index f5ce3cb..7581d39 100644
--- a/tz-link.htm
+++ b/tz-link.htm
@@ -26,7 +26,7 @@ This file is in the public domain, so clarified as of
 </p>
 <p>
 Please send corrections to this web page to the
-<a href="mailto:tz@elsie.nci.nih.gov">time zone mailing list</a>.</p>
+<a href="mailto:tz@iana.org">time zone mailing list</a>.</p>
 <h2>The <code>tz</code> database</h2>
 <p>
 The <a href="http://en.wikipedia.org/wiki/Public_domain">public-domain</a>
@@ -83,7 +83,7 @@ implementation set the <code>TZ</code> environment variable to
 the location's full name, e.g., <code>TZ="America/New_York"</code>.</p>
 <p>
 In the <code>tz</code> database's
-<a href="ftp://elsie.nci.nih.gov/pub"><abbr
+<a href="ftp://munnari.oz.au/pub"><abbr
 title="File Transfer Protocol">FTP</abbr> distribution</a>
 the code is in the file <code>tzcode<var>C</var>.tar.gz</code>,
 where <code><var>C</var></code> is the code's version;
@@ -98,7 +98,7 @@ see the downloaded
 <code>README</code> file for what to do next.</p>
 <pre style="margin-left: 2em"><code>mkdir tz
 cd tz
-<a href="http://www.gnu.org/software/wget/">wget</a> 'ftp://elsie.nci.nih.gov/pub/tz*.tar.gz'
+<a href="http://www.gnu.org/software/wget/">wget</a> 'ftp://munnari.oz.au/pub/tz*.tar.gz'
 <a href="http://www.gnu.org/software/gzip/">gzip</a> -dc tzcode*.tar.gz | <a href="http://www.gnu.org/software/tar/">tar</a> -xf -
 gzip -dc tzdata*.tar.gz | tar -xf -
 </code></pre>
@@ -109,14 +109,14 @@ you read a <code>tz</code> binary file and interpret time stamps for that
 location.</p>
 <p>
 The data are by no means authoritative. If you find errors, please
-send changes to the <a href="mailto:tz@elsie.nci.nih.gov">time zone
+send changes to the <a href="mailto:tz@iana.org">time zone
 mailing list</a>. You can also <a
 href="http://news.gmane.org/gmane.comp.time.tz">browse recent
 messages</a> sent to the mailing list, <a
-href="mailto:tz-request@elsie.nci.nih.gov">subscribe</a> to it,
+href="https://mm.icann.org/mailman/listinfo/tz">subscribe</a> to it,
 retrieve the <a
-href="ftp://elsie.nci.nih.gov/pub/tzarchive.gz">full archive of old
-messages</a> (in gzip compressed format), or retrieve <a
+href="http://mm.icann.org/pipermail/tz/">full archive of old
+messages</a> (broken down by month), or retrieve <a
 href="ftp://munnari.oz.au/pub/oldtz">archived older versions of code
 and data</a>.</p>
 <p>
diff --git a/tzselect.ksh b/tzselect.ksh
index 7b80533..00921e9 100644
--- a/tzselect.ksh
+++ b/tzselect.ksh
@@ -50,7 +50,7 @@ if [ "$1" = "--help" ]; then
 Usage: tzselect
 Select a time zone interactively.
 
-Report bugs to tz@elsie.nci.nih.gov.
+Report bugs to tz@iana.org.
 EOF
     exit 0
 elif [ "$1" = "--version" ]; then
diff --git a/zdump.c b/zdump.c
index 67bed06..5fb5ec6 100644
--- a/zdump.c
+++ b/zdump.c
@@ -243,7 +243,7 @@ const int	status;
 	(void) fprintf(stream,
 _("%s: usage is %s [ --version ] [ --help ] [ -v ] [ -c [loyear,]hiyear ] zonename ...\n\
 \n\
-Report bugs to tz@elsie.nci.nih.gov.\n"),
+Report bugs to tz@iana.org.\n"),
 		       progname, progname);
 	exit(status);
 }
diff --git a/zic.c b/zic.c
index 1ea7b18..abd8154 100644
--- a/zic.c
+++ b/zic.c
@@ -460,7 +460,7 @@ usage(FILE *stream, int status)
 [ --version ] [ --help ] [ -v ] [ -l localtime ] [ -p posixrules ] \\\n\
 \t[ -d directory ] [ -L leapseconds ] [ -y yearistype ] [ filename ... ]\n\
 \n\
-Report bugs to tz@elsie.nci.nih.gov.\n"),
+Report bugs to tz@iana.org.\n"),
 		       progname, progname);
 	exit(status);
 }