From 7b529c611459a866de5e88c82e1e1fb510d4e99c Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Fri, 6 Jan 2017 10:17:54 -0800
Subject: [PATCH] * Theory: update IEEE edition date (thanks to Sanjeev)

---
 Theory | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Theory b/Theory
index 22164f4..533ee93 100644
--- a/Theory
+++ b/Theory
@@ -40,7 +40,7 @@ international standard for UNIX-like systems.  As of this writing, the
 current edition of POSIX is:
 
   The Open Group Base Specifications Issue 7
-  IEEE Std 1003.1, 2013 Edition
+  IEEE Std 1003.1-2008, 2016 Edition
   <http://pubs.opengroup.org/onlinepubs/9699919799/>
 
 
-- 
2.9.3