From 365460cfe7f7404030f33dffe489ba66a2dcbcdd Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Thu, 10 Nov 2016 09:56:40 -0800
Subject: [PROPOSED] * NEWS, Theory: Document UT.

---
 NEWS   |  2 ++
 Theory | 24 ++++++++++++++++++------
 2 files changed, 20 insertions(+), 6 deletions(-)

diff --git a/NEWS b/NEWS
index 24faeaf..583c644 100644
--- a/NEWS
+++ b/NEWS
@@ -27,6 +27,8 @@ Unreleased, experimental changes
     numbers and development-repository commit tags.  (Suggested by
     Paul Koning.)
 
+    The 'Theory' file now documents UT.
+
 
 Release 2016i - 2016-11-01 23:19:52 -0700
 
diff --git a/Theory b/Theory
index cc674e2..ea4b35d 100644
--- a/Theory
+++ b/Theory
@@ -343,12 +343,24 @@ Errors in the tz database arise from many sources:
    non-hour-based system at night.
 
  * Early clocks were less reliable, and data entries do not represent
-   this unreliability.
-
- * As for leap seconds, civil time was not based on atomic time before
-   1972, and we don't know the history of earth's rotation accurately
-   enough to map SI seconds to historical solar time to more than
-   about one-hour accuracy.  See: Morrison LV, Stephenson FR.
+   clock error.
+
+ * The tz database assumes Universal Time (UT) as an origin, even
+   though UT is not standardized for older time stamps.  In the tz
+   database commentary, UT denotes a family of time standards that
+   includes Coordinated Universal Time (UTC) along with other variants
+   such as UT1 and GMT, with days starting at midnight.  Although UT
+   equals UTC for modern time stamps, UTC was not defined until 1960,
+   so commentary uses the more-general abbreviation UT for time stamps
+   that might predate 1960.  Since UT, UT1, etc. disagree slightly,
+   and since pre-1972 UTC seconds varied in length, interpretation of
+   older time stamps can be problematic when subsecond accuracy is
+   needed.
+
+ * Civil time was not based on atomic time before 1972, and we don't
+   know the history of earth's rotation accurately enough to map SI
+   seconds to historical solar time to more than about one-hour
+   accuracy.  See: Morrison LV, Stephenson FR.
    Historical values of the Earth's clock error Delta T and the
    calculation of eclipses. J Hist Astron. 2004;35:327-36
    <http://adsabs.harvard.edu/full/2004JHA....35..327M>;
-- 
2.7.4