From 9bb85160e985bf8dc447584e18625e6e5f3b69f7 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Wed, 23 Mar 2016 13:51:49 -0700
Subject: [PATCH] Subtract 1 s from pre-1919 Tomsk time

* europe: -1 to commented-out local time in Tomsk before 1919.
(Thanks to Stepan Golosunov.)
---
 europe | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/europe b/europe
index 456c8dc..ec26085 100644
--- a/europe
+++ b/europe
@@ -2737,6 +2737,9 @@ Zone Asia/Novosibirsk	 5:31:40 -	LMT	1919 Dec 14  6:00
 # Asia/Tomsk is still in draft form and for now is commented out.
 # Tomsk may be changing time zones in 2016 (not decided yet).
 
+# From Stepan Golosunov (2016-03-24):
+# Byalokoz listed Tomsk at 5:39:51.
+
 # From Stanislaw A. Kuzikowski (1994-06-29):
 # Tomsk is still 4 hours ahead of Moscow.
 
@@ -2750,7 +2753,8 @@ Zone Asia/Novosibirsk	 5:31:40 -	LMT	1919 Dec 14  6:00
 # with time zones in 2011 with different numberings (there was a
 # 2-hour gap between second and third zones in 2011-2014).
 
-#Zone Asia/Tomsk	 5:39:52 -	LMT	1919 Dec 22
+
+#Zone Asia/Tomsk	 5:39:51 -	LMT	1919 Dec 22
 #			 6:00	-	+06	1930 Jun 21
 #			 7:00	Russia	+07/+08	1991 Mar 31  2:00s
 #			 6:00	Russia	+06/+07	1992 Jan 19  2:00s
-- 
2.5.5