From 1b2c46e15cb694148b06d6f5f7fffec85f01e667 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Thu, 17 Mar 2016 14:14:35 -0700
Subject: [PROPOSED PATCH] Chile reverts from permanent to seasonal DST

(Thanks to Juan Correa for the heads-up, and to Tim Parenti for
corrections.)
* NEWS: Documen this.
* southamerica (Chile): Revert to seasonal DST as of 2016.
(America/Santiago, Pacific/Easter, Antarctica/Palmer):
Simplify by assuming DST since 2014.
---
 NEWS         |  8 ++++++++
 southamerica | 28 +++++++++++++++++++++-------
 2 files changed, 29 insertions(+), 7 deletions(-)

diff --git a/NEWS b/NEWS
index f59f617..e60f0d3 100644
--- a/NEWS
+++ b/NEWS
@@ -6,6 +6,14 @@ Unreleased, experimental changes
 
     Azerbaijan no longer observes DST.  (Thanks to Steffen Thorsen.)
 
+    Chile reverts from permanent to seasonal DST.  (Thanks to Juan
+    Correa for the heads-up, and to Tim Parenti for corrections.)
+    Guess that future America/Santiago and Antarctica/Palmer
+    transitions are August's and May's second Saturdays at 24:00 local
+    time, and that Pacific/Easter stays two hours behind.  Also, call
+    the period from 2014-09-07 through 2016-05-14 daylight saving time
+    instead of standard time, as that seems more appropriate now.
+
 
 Release 2016b - 2016-03-12 17:30:14 -0800
 
diff --git a/southamerica b/southamerica
index 50d118e..63e719c 100644
--- a/southamerica
+++ b/southamerica
@@ -1221,6 +1221,21 @@ Zone America/Rio_Branco	-4:31:12 -	LMT	1914
 # From Paul Eggert (2015-03-03):
 # For now, assume that the extension will persist indefinitely.
 
+# From Juan Correa (2016-03-13):
+# Today the Chilean Ministry of Energy announced that they will go back to a
+# DST scheme this year.  That means clocks will go back 1 hour at 00:00 May
+# 15th (jumping back to May 14th); and will go forward by 1 hour on 00:00,
+# August 14th.  This was decided after a public outcry during winter, when the
+# sunrise for Santiago went as late as 08:45....
+# http://www.soychile.cl/Santiago/Sociedad/2016/03/13/380779/Vuelve-el-horario-de-invierno-a-partir-de-la-segunda-semana-de-mayo.aspx
+# http://www.biobiochile.cl/2016/03/13/gobierno-retrocede-y-decreta-el-regreso-del-horario-de-invierno.shtml
+# http://www.t13.cl/noticia/nacional/chile-volvera-implementar-horario-invierno
+#
+# From Paul Eggert (2016-03-14):
+# For now, guess that future transitions are May's and August's second
+# Saturdays at 24:00 local time, and that Pacific/Easter always stays 2
+# hours behind.
+
 # Rule	NAME	FROM	TO	TYPE	IN	ON	AT	SAVE	LETTER/S
 Rule	Chile	1927	1931	-	Sep	 1	0:00	1:00	S
 Rule	Chile	1928	1932	-	Apr	 1	0:00	0	-
@@ -1252,8 +1267,10 @@ Rule	Chile	2009	only	-	Mar	Sun>=9	3:00u	0	-
 Rule	Chile	2010	only	-	Apr	Sun>=1	3:00u	0	-
 Rule	Chile	2011	only	-	May	Sun>=2	3:00u	0	-
 Rule	Chile	2011	only	-	Aug	Sun>=16	4:00u	1:00	S
-Rule	Chile	2012	2015	-	Apr	Sun>=23	3:00u	0	-
+Rule	Chile	2012	2014	-	Apr	Sun>=23	3:00u	0	-
 Rule	Chile	2012	2014	-	Sep	Sun>=2	4:00u	1:00	S
+Rule	Chile	2016	max	-	May	Sun>=9	3:00u	0	-
+Rule	Chile	2016	max	-	Aug	Sun>=9	4:00u	1:00	S
 # IATA SSIM anomalies: (1992-02) says 1992-03-14;
 # (1996-09) says 1998-03-08.  Ignore these.
 # Zone	NAME		GMTOFF	RULES	FORMAT	[UNTIL]
@@ -1270,13 +1287,11 @@ Zone America/Santiago	-4:42:46 -	LMT	1890
 			-4:00	1:00	CLST	1946 Sep  1 # central Chile
 			-4:00	-	CLT	1947 Apr  1
 			-5:00	-	CLT	1947 May 21 23:00
-			-4:00	Chile	CL%sT	2015 Apr 26  3:00u
-			-3:00	-	CLT
+			-4:00	Chile	CL%sT
 Zone Pacific/Easter	-7:17:28 -	LMT	1890
 			-7:17:28 -	EMT	1932 Sep    # Easter Mean Time
 			-7:00	Chile	EAS%sT	1982 Mar 14 3:00u # Easter Time
-			-6:00	Chile	EAS%sT	2015 Apr 26 3:00u
-			-5:00	-	EAST
+			-6:00	Chile	EAS%sT
 #
 # Salas y Gómez Island is uninhabited.
 # Other Chilean locations, including Juan Fernández Is, Desventuradas Is,
@@ -1298,8 +1313,7 @@ Zone Pacific/Easter	-7:17:28 -	LMT	1890
 Zone Antarctica/Palmer	0	-	zzz	1965
 			-4:00	Arg	AR%sT	1969 Oct  5
 			-3:00	Arg	AR%sT	1982 May
-			-4:00	Chile	CL%sT	2015 Apr 26 3:00u
-			-3:00	-	CLT
+			-4:00	Chile	CL%sT
 
 # Colombia
 
-- 
2.5.0