From 5c1825b97e5ea58b6afb7c3da3ec14353556c2a8 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Tue, 6 Dec 2016 13:24:28 -0800
Subject: [PROPOSED] * europe: Just say "Crimea" rather than going into
 politics

---
 europe | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/europe b/europe
index bf3bf06..603bb3e 100644
--- a/europe
+++ b/europe
@@ -2536,10 +2536,8 @@ Zone Europe/Moscow	 2:30:17 -	LMT	1880
 			 3:00	-	MSK
 
 
-# From Tim Parenti (2014-07-03):
-# Europe/Simferopol covers...
-# **	****	Crimea, Republic of
-# **	****	Sevastopol
+# From Paul Eggert (2016-12-06):
+# Europe/Simferopol covers Crimea.
 
 Zone Europe/Simferopol	 2:16:24 -	LMT	1880
 			 2:16	-	SMT	1924 May  2 # Simferopol Mean T
-- 
2.7.4