From 6c705a6bfabb41ea3337c75fc1367c03d8bca6e8 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Wed, 15 Feb 2017 11:03:03 -0800
Subject: [PATCH] * tz-art.htm (Comics): Add xkcd 1799 (thanks to Guy Harris).

---
 tz-art.htm | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

diff --git a/tz-art.htm b/tz-art.htm
index 7e2b3fd..78f2c1a 100644
--- a/tz-art.htm
+++ b/tz-art.htm
@@ -448,14 +448,16 @@ Supernaw.</td></tr>
 <ul>
 <li>
 The webcomic <em>xkcd</em> has the strip
-"<a href='http://xkcd.com/673/'>The Sun</a>" (2009-12-09) and the panels
-"<a href='http://xkcd.com/1017/'>Backward in Time</a>" (2012-02-14),
-"<a href='http://xkcd.com/1061/'>EST</a>" (2012-05-28),
-"<a href='http://xkcd.com/1179/'>ISO 8601</a>" (2013-02-27),
-"<a href='http://xkcd.com/1335/'>Now</a>" (2014-02-26), and
-"<a href='http://xkcd.com/1655/'>Doomsday Clock</a>" (2016-03-14).
+"<a href='https://xkcd.com/673/'>The Sun</a>" (2009-12-09) and the panels
+"<a href='https://xkcd.com/1017/'>Backward in Time</a>" (2012-02-14),
+"<a href='https://xkcd.com/1061/'>EST</a>" (2012-05-28),
+"<a href='https://xkcd.com/1179/'>ISO 8601</a>" (2013-02-27),
+"<a href='https://xkcd.com/1335/'>Now</a>" (2014-02-26),
+"<a href='https://xkcd.com/1655/'>Doomsday Clock</a>" (2016-03-14), and
+"<a href='https://xkcd.com/1799/'>Bad Map Projection: Time Zones</a>"
+(2017-02-15).
 The related book <em>What If?</em> has an entry
-"<a href='http://what-if.xkcd.com/26/'>Leap Seconds</a>" (2012-12-31).
+"<a href='https://what-if.xkcd.com/26/'>Leap Seconds</a>" (2012-12-31).
 </li>
 <li>
 Pig kills time in <a
-- 
2.9.3