From c34cadfd75fdd02113be82ad923c3bc36f6cd03e Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Mon, 12 Dec 2016 10:39:46 -0800
Subject: [PROPOSED] * tz-link.htm: Mention geo-tz.  (Thanks to Evan Siroky.)

---
 tz-link.htm | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/tz-link.htm b/tz-link.htm
index afd8fa9..1d15424 100644
--- a/tz-link.htm
+++ b/tz-link.htm
@@ -10,7 +10,7 @@
  content="Sources for time zone and daylight saving time data">
 <meta name="DC.Creator" content="Eggert, Paul">
 <meta name="DC.Contributor" content="Olson, Arthur David">
-<meta name="DC.Date" content="2016-12-04">
+<meta name="DC.Date" content="2016-12-12">
 <meta name="DC.Description"
  content="Sources of information about time zones and daylight saving time">
 <meta name="DC.Identifier"
@@ -602,14 +602,17 @@ is written in Go and is freely available under the Apache License.</li>
 in both Java and
 <a href="https://en.wikipedia.org/wiki/Swift_(programming_language)">Swift</a>
 form, is freely available under the MIT license.</li>
+<li>For <a href="https://nodejs.org/en/">Node.js</a>,
+the <a href="https://www.npmjs.com/package/geo-tz">geo-tz module</a>
+is freely available under the MIT license, and
+the <a href="https://www.npmjs.com/package/tz-lookup">tz-lookup module</a>
+is in the public domain.</li>
 <li>The <a
 href="https://github.com/MrMinimal64/timezonefinder">timezonefinder</a>
 library for Python is freely available under the MIT license.
 <li>The <a
 href="https://github.com/gunyarakun/timezone_finder">timezone_finder</a>
 library for Ruby is freely available under the MIT license.</li>
-<li>The <a href="https://www.npmjs.com/package/tz-lookup">tz-lookup module</a>
-for <a href="https://nodejs.org/en/">Node.js</a> is in the public domain.</li>
 <li><a href="https://derickrethans.nl/what-time-is-it.html">What Time
 is It Here?</a> applies <a href="https://www.mongodb.com">MongoDB</a>
 geospatial query operators to shapefiles' data.</li>
-- 
2.7.4