From 9c6348add50364e76cd6796df4b3944fc5bab6a8 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Mon, 18 Apr 2016 08:08:43 -0700
Subject: [PROPOSED PATCH] Adjust Asia/Baku's fall 1992 DST transition

* asia (Asia/Baku): Adjust fall 1992 transition to match recent
Russia rule change.  (Thanks to Michael Deckers.)
* NEWS: Document this.
---
 NEWS | 8 ++++++++
 asia | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

diff --git a/NEWS b/NEWS
index a69ffb7..17c5934 100644
--- a/NEWS
+++ b/NEWS
@@ -1,5 +1,13 @@
 News for the tz database
 
+Unreleased, experimental changes
+
+  Changes affecting past time stamps
+
+    Asia/Baku's 1992-09-27 transition from +04 (DST) to +04 (non-DST) was
+    at 03:00, not 23:00 the previous day.  (Thanks to Michael Deckers.)
+
+
 Release 2016d - 2016-04-17 22:50:29 -0700
 
   Changes affecting future time stamps
diff --git a/asia b/asia
index 75d4298..533e218 100644
--- a/asia
+++ b/asia
@@ -146,7 +146,7 @@ Zone	Asia/Baku	3:19:24 -	LMT	1924 May  2
 			3:00	-	BAKT	1957 Mar    # Baku Time
 			4:00 RussiaAsia BAK%sT	1991 Mar 31  2:00s
 			3:00	1:00	BAKST	1991 Aug 30 # independence
-			3:00 RussiaAsia	AZ%sT	1992 Sep lastSat 23:00
+			3:00 RussiaAsia	AZ%sT	1992 Sep lastSun  2:00s
 			4:00	-	AZT	1996     # Azerbaijan Time
 			4:00	EUAsia	AZ%sT	1997
 			4:00	Azer	AZ%sT
-- 
2.5.5