From 6b63c4953c0b5a3fa058ab2af147c9f16472ec0e Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Tue, 22 Nov 2016 13:11:23 -0800
Subject: [PROPOSED] =?UTF-8?q?Cite=20Saratov=20law=20for=20next=20month?=
 =?UTF-8?q?=E2=80=99s=20change?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

(Thanks to Stepan Golosunov.)
* europe (Europe/Saratov): Give URL for official law.
---
 europe | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/europe b/europe
index 0235b60..bf3bf06 100644
--- a/europe
+++ b/europe
@@ -2623,8 +2623,9 @@ Zone Europe/Volgograd	 2:57:40 -	LMT	1920 Jan  3
 # From Yuri Konotopov (2016-11-11):
 # Dec 4, 2016 02:00 UTC+3....  Saratov Region's local time will be ... UTC+4.
 # From Stepan Golosunov (2016-11-11):
-# http://asozd2.duma.gov.ru/main.nsf/(Spravka)?OpenAgent&RN=1083558-6
 # ... Byalokoz listed Saratov on 03:04:18.
+# From Stepan Golosunov (2016-11-22):
+# http://publication.pravo.gov.ru/Document/View/0001201611220031
 
 Zone Europe/Saratov	 3:04:18 -	LMT	1919 Jul  1  0:00u
 			 3:00	-	+03	1930 Jun 21
-- 
2.7.4