From c9cd070075a531bedd757d1c90d532bd2851b2fd Mon Sep 17 00:00:00 2001
From: Tim Parenti <tim@timtimeonline.com>
Date: Tue, 6 Jan 2026 10:23:51 -0500
Subject: No leap second on 2026-06-30

Per IERS Bulletin C 71 (2026-01-06).
https://hpiers.obspm.fr/iers/bul/bulc/bulletinc.71

* leap-seconds.list: Update file from IERS, retrieved from
https://hpiers.obspm.fr/iers/bul/bulc/ntp/leap-seconds.list
---
 leap-seconds.list | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/leap-seconds.list b/leap-seconds.list
index 649a22c..0a11184 100644
--- a/leap-seconds.list
+++ b/leap-seconds.list
@@ -60,15 +60,15 @@
 #
 #	The following line shows the last update of this file in NTP timestamp:
 #
-#$	3960835200
+#$	3976686858
 #
 #	2) Expiration date of the file given on a semi-annual basis: last June or last December
 #
-#	File expires on 28 June 2026
+#	File expires on 28 December 2026
 #
 #	Expire date in NTP timestamp:
 #
-#@	3991593600
+#@	4007404800
 #
 #
 #	LIST OF LEAP SECONDS
@@ -117,4 +117,4 @@
 #	please see the readme file in the 'source' directory :
 #	https://hpiers.obspm.fr/iers/bul/bulc/ntp/sources/README
 #
-#h	49db2447 571e5e1b 2f002a53 9c8da8e4 39b8e49e
+#h	2e101270 4e6749f8 2f1792b7 14a0c188 36bb19d6
-- 
2.50.1 (Apple Git-155)