From 19fbd4644f10a55f6836c57b9b65a4d2bb4423f0 Mon Sep 17 00:00:00 2001
From: Tim Parenti <tim@timtimeonline.com>
Date: Thu, 14 May 2026 21:50:43 -0400
Subject: Alberta has stopped changing clocks

(Thanks to Roozbeh Bournader and others.)
* NEWS: Mention this.
* northamerica (America/Edmonton): Now permanently on -06.
Model this with abbreviation CST and the transition on 2026-11-01;
we can revise the date when the relevant OiC comes into effect.
Also mention the potential impacts in portions of southeastern British
Columbia which have followed Edmonton.
---
 NEWS         | 10 ++++++++++
 northamerica | 36 ++++++++++++++++++++++++++++++++++--
 2 files changed, 44 insertions(+), 2 deletions(-)

diff --git a/NEWS b/NEWS
index fb1ced7..19ba497 100644
--- a/NEWS
+++ b/NEWS
@@ -1,5 +1,15 @@
 News for the tz database
 
+Unreleased, experimental changes
+
+  Changes to future timestamps
+
+    Alberta has stopped changing clocks.  Standard time there is now
+    -06, with abbreviation CST.  This affects UT offsets starting
+    2026-11-01 02:00, when clocks will not fall back.  (Thanks to
+    Roozbeh Pournader and others.)
+
+
 Release 2026b - 2026-04-22 23:06:43 -0700
 
   Briefly:
diff --git a/northamerica b/northamerica
index 6198e72..5bb709f 100644
--- a/northamerica
+++ b/northamerica
@@ -1913,6 +1913,33 @@ Zone America/Swift_Current -7:11:20 -	LMT	1905 Sep
 # Boyer JP. Forcing Choice: The Risky Reward of Referendums. Dundum. 2017.
 # ISBN 978-1459739123.
 
+# From Roozbeh Pournader (2026-04-20):
+# https://calgaryherald.com/opinion/columnists/bell-alberta-daylight-time-year-round-premier-danielle-smith
+#
+# From Tim Parenti (2026-04-23):
+# Bill 31, the Red Tape Reduction Statutes Amendment Act, 2026
+# https://docs.assembly.ab.ca/LADDAR_files/docs/bills/bill/legislature_31/session_2/20251023_bill-031.pdf
+# would repeal the Daylight Saving Time Act in the Revised Statues of Alberta
+# 2000 Chapter D-5:
+# https://kings-printer.alberta.ca/documents/Acts/D05.pdf
+# ...and substitutes a new chapter with language that closely parallels the
+# original.  The new title is the Official Time Act and would be numbered
+# Chapter O-5.7.  The bill would establish a standard time of UTC−6 without
+# replacing the language previously used to effectuate DST.
+#
+# From Paul Eggert (2026-05-13):
+# Need a legal citation for the official 2026 change to the law.  The bill
+# specifies UT offset only; abbreviate it as CST for consistency.  It requires
+# an Order in Council signed by the Lieutenant Governor before it becomes
+# legally binding.
+#
+# From Tim Parenti (2026-05-14):
+# Royal Assent...was announced this morning.  The stated intent of Alberta's
+# government has been to have this in place prior to when the clocks would
+# otherwise fall back on 2026-11-01.  For now, use that date pending the Order
+# in Council.  This also works around potential CLDR limitations in the
+# meantime; see British Columbia, below.
+
 # Rule	NAME	FROM	TO	-	IN	ON	AT	SAVE	LETTER/S
 Rule	Edm	1918	1919	-	Apr	Sun>=8	2:00	1:00	D
 Rule	Edm	1918	only	-	Oct	27	2:00	0	S
@@ -1930,7 +1957,8 @@ Rule	Edm	1972	2006	-	Oct	lastSun	2:00	0	S
 # Zone	NAME		STDOFF	RULES	FORMAT	[UNTIL]
 Zone America/Edmonton	-7:33:52 -	LMT	1906 Sep
 			-7:00	Edm	M%sT	1987
-			-7:00	Canada	M%sT
+			-7:00	Canada	M%sT	2026 Nov  1  2:00 # presumed
+			-6:00	-	CST
 
 
 # British Columbia
@@ -2017,6 +2045,10 @@ Zone America/Edmonton	-7:33:52 -	LMT	1906 Sep
 # saying, “Pardon the pun, but this is not a time-sensitive issue.”
 # For now, merely mention the potential change in these comments.
 # If it happens it would likely affect clocks starting 2027-03-14 at 02:00.
+# From Tim Parenti (2026-05-14):
+# RDEK has historically been aligned with neighboring Alberta.  With the latter
+# now opting to stay on -06 year-round, if RDEK does not follow, it would
+# require a new zone for the Cranbrook area.
 
 # Rule	NAME	FROM	TO	-	IN	ON	AT	SAVE	LETTER/S
 Rule	Vanc	1918	only	-	Apr	14	2:00	1:00	D
@@ -2033,7 +2065,7 @@ Zone America/Vancouver	-8:12:28 -	LMT	1884
 			-8:00	Vanc	P%sT	1987
 			-8:00	Canada	P%sT	2026 Mar  9
 			# Temporary hack; see above.
-			-8:00	1:00	PDT	2026 Nov  1 02:00
+			-8:00	1:00	PDT	2026 Nov  1  2:00
 			# End of temporary hack.
 			-7:00	-	MST
 Zone America/Dawson_Creek -8:00:56 -	LMT	1884
-- 
2.50.1 (Apple Git-155)