diff -ru tzdata2012c//africa tzdata2012_proposal//africa
--- tzdata2012c//africa	2012-03-27 12:39:16.000000000 -0300
+++ tzdata2012_proposal//africa	2012-05-29 21:48:42.412162156 -0300
@@ -4,8 +4,8 @@
 # 2009-05-17 by Arthur David Olson.
 
 # This data is by no means authoritative; if you think you know better,
-# go ahead and edit the file (and please send any changes to
-# tz@elsie.nci.nih.gov for general use in the future).
+# go ahead and edit the file (and please send any changes to tz@iana.org for 
+# general use in the future).
 
 # From Paul Eggert (2006-03-22):
 #
diff -ru tzdata2012c//asia tzdata2012_proposal//asia
--- tzdata2012c//asia	2012-03-27 13:17:25.000000000 -0300
+++ tzdata2012_proposal//asia	2012-05-29 21:49:10.588043025 -0300
@@ -4,8 +4,8 @@
 # 2009-05-17 by Arthur David Olson.
 
 # This data is by no means authoritative; if you think you know better,
-# go ahead and edit the file (and please send any changes to
-# tz@elsie.nci.nih.gov for general use in the future).
+# go ahead and edit the file (and please send any changes to tz@iana.org for 
+# general use in the future).
 
 # From Paul Eggert (2006-03-22):
 #
@@ -2043,7 +2043,7 @@
 # However, as we get more information, we may need to add entries
 # for parts of the West Bank as they transitioned from Israel's rules
 # to Palestine's rules.  If you have more info about this, please
-# send it to tz@elsie.nci.nih.gov for incorporation into future editions.
+# send it to tz@iana.org for incorporation into future editions.
 
 # From IINS News Service - Israel - 1998-03-23 10:38:07 Israel time,
 # forwarded by Ephraim Silverberg:
diff -ru tzdata2012c//australasia tzdata2012_proposal//australasia
--- tzdata2012c//australasia	2012-03-27 12:37:26.000000000 -0300
+++ tzdata2012_proposal//australasia	2012-05-29 21:49:29.923961311 -0300
@@ -755,8 +755,8 @@
 # NOTES
 
 # This data is by no means authoritative; if you think you know better,
-# go ahead and edit the file (and please send any changes to
-# tz@elsie.nci.nih.gov for general use in the future).
+# go ahead and edit the file (and please send any changes to tz@iana.org for 
+# general use in the future).
 
 # From Paul Eggert (2006-03-22):
 # A good source for time zone historical data outside the U.S. is
diff -ru tzdata2012c//europe tzdata2012_proposal//europe
--- tzdata2012c//europe	2012-03-27 12:37:27.000000000 -0300
+++ tzdata2012_proposal//europe	2012-05-29 21:49:46.439891540 -0300
@@ -4,8 +4,8 @@
 # 2009-05-17 by Arthur David Olson.
 
 # This data is by no means authoritative; if you think you know better,
-# go ahead and edit the file (and please send any changes to
-# tz@elsie.nci.nih.gov for general use in the future).
+# go ahead and edit the file (and please send any changes to tz@iana.org for 
+# general use in the future).
 
 # From Paul Eggert (2006-03-22):
 # A good source for time zone historical data outside the U.S. is
diff -ru tzdata2012c//northamerica tzdata2012_proposal//northamerica
--- tzdata2012c//northamerica	2012-03-27 12:39:12.000000000 -0300
+++ tzdata2012_proposal//northamerica	2012-05-29 21:50:05.615810561 -0300
@@ -6,8 +6,8 @@
 # also includes Central America and the Caribbean
 
 # This data is by no means authoritative; if you think you know better,
-# go ahead and edit the file (and please send any changes to
-# tz@elsie.nci.nih.gov for general use in the future).
+# go ahead and edit the file (and please send any changes to tz@iana.org for 
+# general use in the future).
 
 # From Paul Eggert (1999-03-22):
 # A reliable and entertaining source about time zones is
diff -ru tzdata2012c//southamerica tzdata2012_proposal//southamerica
--- tzdata2012c//southamerica	2012-03-27 12:37:28.000000000 -0300
+++ tzdata2012_proposal//southamerica	2012-05-29 21:50:29.423710066 -0300
@@ -4,8 +4,8 @@
 # 2009-05-17 by Arthur David Olson.
 
 # This data is by no means authoritative; if you think you know better,
-# go ahead and edit the file (and please send any changes to
-# tz@elsie.nci.nih.gov for general use in the future).
+# go ahead and edit the file (and please send any changes to tz@iana.org for
+# general use in the future).
 
 # From Paul Eggert (2006-03-22):
 # A good source for time zone historical data outside the U.S. is